pro	load_line_list, Event
	;
	;	loads the line lists into memory
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE=PTR
	;
	; basis:	{name:'',wlines:PTR_NEW(/alloc),clines:PTR_NEW(/alloc)}, $ ; structure, with name, line waves, line names
	; species:	replicate(basis,25)
	;
	basis = {	name:'',		   $		  ; Series Name
				color: 'blue',	   $		  ; default plotting color
				label:  1,		   $		  ; default print label flag 1=yes 0=no label
				linestyle: 2,	   $		  ; default linestyle of marking line
				yrange: [0.1,0.8], $		  ; default start/stop y value of line, normalized coords
				nlines: 0,		   $		  ; number of lines in this species
	            wlines: dblarr(32),$	  	  ; vector of line wavelengths
	            clines: strarr(32)}		      ; vector of line names
	;
	;	number of line species - update this if species are added
	;
	(*PTR).n_species = 15
	;
	(*(*PTR).species) = replicate(basis, (*PTR).n_species)
	;
	; Atomic Hydrogen Recombination Lines
	;
	(*(*PTR).species)[0].name='Atomic_Hydrogen'
	(*(*PTR).species)[0].nlines = 21
	(*(*PTR).species)[0].wlines[0:20] = [  1.005,  1.094,  1.2822, 1.50432,1.50870,1.51374,1.5196,1.5265,1.5346,$
				    1.5443,  1.5561,  1.5705,  1.5885,  1.6114,  1.6412,  1.6811,  1.7367,$
				    1.8181, 1.8756,  1.945,  2.166]
	(*(*PTR).species)[0].clines[0:20] = ['H 7-3','H 6-3','H 5-3',      '',     '',     '',    '',    '',    '',$
                  'H 17-4','H 16-4','H 15-4','H 14-4','H 13-4','H 12-4','H 11-4','H 10-4',$
                   'H 9-4','H 4-3','H 8-4','H 7-4']
    wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Atomic_Hydrogen_Label_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=(*(*PTR).species)[0].label
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Atomic_Hydrogen_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=1
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Atomic_Hydrogen_Color_Droplist")
	WIDGET_CONTROL, wid, SET_VALUE=(*PTR).droplist_colors
	WIDGET_CONTROL, wid, SET_DROPLIST_SELECT=2				; red
	(*PTR).show_atomic_h = 1
	(*(*PTR).species)[0].color='red'
;	(*(*PTR).species)[0].yrange=[0.5,0.8]
	;;
	; Atomic Helium Recombination Lines
	;
	(*(*PTR).species)[1].name='Atomic_Helium'
	(*(*PTR).species)[1].nlines = 10
	(*(*PTR).species)[1].wlines[0:9] = [1.1972,1.2531,1.5088,$
					 1.689,1.7007,1.7113, 2.043, 2.058,2.1132,2.1847]
	(*(*PTR).species)[1].clines[0:9] = ['He I','He I','He I',$
	 				'He I','He I','He I','He I','He I','He I','He I']
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Atomic_Helium_Label_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=(*(*PTR).species)[1].label
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Atomic_Helium_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=0
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Atomic_Helium_Color_Droplist")
	WIDGET_CONTROL, wid, SET_VALUE=(*PTR).droplist_colors
	WIDGET_CONTROL, wid, SET_DROPLIST_SELECT=4				; blue
	;
	;	Molecular Hydrogen Lines
	;
	(*(*PTR).species)[2].name = 'Molecular_Hydrogen'
	(*(*PTR).species)[2].nlines = 23
	(*(*PTR).species)[2].wlines[0:22] = [1.6504, 1.6665,1.6877,1.7147,$
					1.7480,1.7880,1.8358,1.892,$
					1.9449,1.9560,2.0041,2.0388,$
					2.0735,2.1218,2.15420,2.2233,$
					2.2477,2.3556,2.4066,2.4134,$
					2.4237,2.4375,2.4548]
	(*(*PTR).species)[2].clines[0:22] = ['H2 1-0 S(11)','H2 1-0 S(10)','H2 1-0 S(9)','H2 1-0 S(8)',$
					'H2 1-0 S(7)','H2 1-0 S(6)','H2 1-0 S(5)','H2 1-0 S(4)',$
					'H2 2-1 S(5)','H2 1-0 S(3)','H2 2-1 S(4)','H2 1-0 S(2)',$
					'H2 2-1 S(3)','H2 1-0 S(1)','H2 2-1 S(2)','H2 1-0 S(0)',$
					'H2 2-1 S(1)','H2 2-1 S(0)','H2 1-0 Q(1)','H2 1-0 Q(2)',$
					'H2 1-0 Q(3)','H2 1-0 Q(4)','H2 1-0 Q(5)']
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Molecular_Hydrogen_Label_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=(*(*PTR).species)[2].label
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Molecular_Hydrogen_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=0
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Molecular_Hydrogen_Color_Droplist")
	WIDGET_CONTROL, wid, SET_VALUE=(*PTR).droplist_colors
	WIDGET_CONTROL, wid, SET_DROPLIST_SELECT=3				; green
	;
	;	Other Atomic Lines
	;
	(*(*PTR).species)[3].name='Atomic_Magnesium'
	(*(*PTR).species)[3].nlines=4
	(*(*PTR).species)[3].wlines[0:3] = [  1.50, 1.577, 1.7115,  2.189]
	(*(*PTR).species)[3].clines[0:3] = ['Mg I','Mg I', 'Mg I', 'Mg I']
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Atomic_Magnesium_Label_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=(*(*PTR).species)[3].label
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Atomic_Magnesium_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=0
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Atomic_Magnesium_Color_Droplist")
	WIDGET_CONTROL, wid, SET_VALUE=(*PTR).droplist_colors
	WIDGET_CONTROL, wid, SET_DROPLIST_SELECT=4				; blue
	;
	(*(*PTR).species)[4].name='Atomic_Iron'
	(*(*PTR).species)[4].nlines=4
	(*(*PTR).species)[4].wlines[0:3] = [  1.50,  1.72, 2.2263, 2.2387]
	(*(*PTR).species)[4].clines[0:3] = ['Fe I','Fe I', 'Fe I', 'Fe I']
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Atomic_Iron_Label_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=(*(*PTR).species)[4].label
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Atomic_Iron_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=0
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Atomic_Iron_Color_Droplist")
	WIDGET_CONTROL, wid, SET_VALUE=(*PTR).droplist_colors
	WIDGET_CONTROL, wid, SET_DROPLIST_SELECT=4				; blue
	;
	(*(*PTR).species)[5].name='Atomic_Silicon'
	(*(*PTR).species)[5].nlines=5
	(*(*PTR).species)[5].wlines[0:4] = [1.5892,  1.64, 1.6685,   1.72,  1.732]
	(*(*PTR).species)[5].clines[0:4] = ['Si I','Si I', 'Si I', 'Si I', 'Si I']
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Atomic_Silicon_Label_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=(*(*PTR).species)[5].label
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Atomic_Silicon_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=0
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Atomic_Silicon_Color_Droplist")
	WIDGET_CONTROL, wid, SET_VALUE=(*PTR).droplist_colors
	WIDGET_CONTROL, wid, SET_DROPLIST_SELECT=4				; blue
	;
	;
	;;   not sure of this: CI_line_list  = [1.732]
	;;                     CI_line_name  = [ 'C' ]
	;
	(*(*PTR).species)[6].name='Atomic_Aluminum'
	(*(*PTR).species)[6].nlines=1
	(*(*PTR).species)[6].wlines[0] = [1.67679]
	(*(*PTR).species)[6].clines[0] = [ 'Al I']
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Atomic_Aluminum_Label_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=(*(*PTR).species)[6].label
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Atomic_Aluminum_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=0
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Atomic_Aluminum_Color_Droplist")
	WIDGET_CONTROL, wid, SET_VALUE=(*PTR).droplist_colors
	WIDGET_CONTROL, wid, SET_DROPLIST_SELECT=4				; blue
	;
	;
	(*(*PTR).species)[7].name='Atomic_Sodium'
	(*(*PTR).species)[7].nlines=1
	(*(*PTR).species)[7].wlines[0] = [2.2076]
	(*(*PTR).species)[7].clines[0] = ['Na I']
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Atomic_Sodium_Label_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=(*(*PTR).species)[7].label
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Atomic_Sodium_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=0
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Atomic_Sodium_Color_Droplist")
	WIDGET_CONTROL, wid, SET_VALUE=(*PTR).droplist_colors
	WIDGET_CONTROL, wid, SET_DROPLIST_SELECT=4				; blue
	;
	;
	(*(*PTR).species)[8].name='Atomic_Calcium'
	(*(*PTR).species)[8].nlines=1
	(*(*PTR).species)[8].wlines[0] = [2.2636]
	(*(*PTR).species)[8].clines[0] = ['Ca I']
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Atomic_Calcium_Label_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=(*(*PTR).species)[8].label
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Atomic_Calcium_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=0
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Atomic_Calcium_Color_Droplist")
	WIDGET_CONTROL, wid, SET_VALUE=(*PTR).droplist_colors
	WIDGET_CONTROL, wid, SET_DROPLIST_SELECT=4				; blue
	;
	;
	;	Ionic Lines
	;
	(*(*PTR).species)[9].name='Ionic_Iron'
	(*(*PTR).species)[9].nlines=3
	(*(*PTR).species)[9].wlines[0:2] = [  1.255, 1.5335, 1.6435]
	(*(*PTR).species)[9].clines[0:2] = ['Fe II','Fe II','Fe II']
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Ionic_Iron_Label_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=(*(*PTR).species)[9].label
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Ionic_Iron_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=0
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Ionic_Iron_Color_Droplist")
	WIDGET_CONTROL, wid, SET_VALUE=(*PTR).droplist_colors
	WIDGET_CONTROL, wid, SET_DROPLIST_SELECT=4				; blue
	;
	(*(*PTR).species)[10].name='Ionic_Nitrogen'
	(*(*PTR).species)[10].nlines=1
	(*(*PTR).species)[10].wlines[0] = [ 2.1126]
	(*(*PTR).species)[10].clines[0] = ['N III']
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Ionic_Nitrogen_Label_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=(*(*PTR).species)[10].label
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Ionic_Nitrogen_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=0
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Ionic_Nitrogen_Color_Droplist")
	WIDGET_CONTROL, wid, SET_VALUE=(*PTR).droplist_colors
	WIDGET_CONTROL, wid, SET_DROPLIST_SELECT=4				; blue
	;
	(*(*PTR).species)[11].name='Ionic_Helium'
	(*(*PTR).species)[11].nlines=1
	(*(*PTR).species)[11].wlines[0] = [ 2.189]
	(*(*PTR).species)[11].clines[0] = ['He II']
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Ionic_Helium_Label_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=(*(*PTR).species)[11].label
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Ionic_Helium_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=0
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Ionic_Helium_Color_Droplist")
	WIDGET_CONTROL, wid, SET_VALUE=(*PTR).droplist_colors
	WIDGET_CONTROL, wid, SET_DROPLIST_SELECT=4				; blue
	;
	;	second tab version
	;
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Ionic_Helium_2_Label_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=(*(*PTR).species)[11].label
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Ionic_Helium_2_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=0
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Ionic_Helium_2_Color_Droplist")
	WIDGET_CONTROL, wid, SET_VALUE=(*PTR).droplist_colors
	WIDGET_CONTROL, wid, SET_DROPLIST_SELECT=4				; blue
	;
	;	Other Molecular Lines
	;
	(*(*PTR).species)[12].name='Molecular_CO'
	(*(*PTR).species)[12].nlines=9
	(*(*PTR).species)[12].wlines[0:8] = [1.6187, 1.662,   2.2935,   2.3227,   2.3535,   2.3829,$
					    2.4142,  2.44610,   2.4787]
	(*(*PTR).species)[12].clines[0:8] = [  'CO',  'CO','CO(2,0)','CO(3,1)','CO(4,2)','CO(5,3)',$
					 'CO(6,4)','CO(7,5)','CO(8,6)']
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Molecular_CO_Label_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=(*(*PTR).species)[12].label
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Molecular_CO_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=0
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Molecular_CO_Color_Droplist")
	WIDGET_CONTROL, wid, SET_VALUE=(*PTR).droplist_colors
	WIDGET_CONTROL, wid, SET_DROPLIST_SELECT=3				; green
	;
	(*(*PTR).species)[13].name='Molecular_13CO'
	(*(*PTR).species)[13].nlines=4
	(*(*PTR).species)[13].wlines[0:3] = [     2.3448,     2.3739,     2.4037,    2.43410]
	(*(*PTR).species)[13].clines[0:3] = ['13CO(2,0)','13CO(3,1)','13CO(4,2)','13CO(5,3)']
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Molecular_13CO_Label_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=(*(*PTR).species)[13].label
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Molecular_13CO_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=0
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Molecular_13CO_Color_Droplist")
	WIDGET_CONTROL, wid, SET_VALUE=(*PTR).droplist_colors
	WIDGET_CONTROL, wid, SET_DROPLIST_SELECT=4				; blue
	;
	;
	(*(*PTR).species)[14].name='Molecular_OH'
	(*(*PTR).species)[14].nlines=2
	(*(*PTR).species)[14].wlines[0:1] = [1.689,2.1126]
	(*(*PTR).species)[14].clines[0:1] = [ 'OH',  'OH']
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Molecular_OH_Label_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=(*(*PTR).species)[14].label
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Molecular_OH_Button")
	WIDGET_CONTROL, wid, SET_BUTTON=0
	wid = WIDGET_INFO(Event.top, FIND_BY_UNAME="Molecular_OH_Color_Droplist")
	WIDGET_CONTROL, wid, SET_VALUE=(*PTR).droplist_colors
	WIDGET_CONTROL, wid, SET_DROPLIST_SELECT=4				; blue
	;

;
; stop
;
end

